# binarystring.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include <string>`
`#include "pqxx/result"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for binarystring.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::binarystring

## Functions

PGSTD::string PQXX_LIBEXPORT | pqxx::escape_binary (const PGSTD::string &bin)
| Escape binary string for inclusion in SQL.
PGSTD::string PQXX_LIBEXPORT | pqxx::escape_binary (const char bin[])
| Escape binary string for inclusion in SQL.
PGSTD::string PQXX_LIBEXPORT | pqxx::escape_binary (const char bin[], size_t len)
| Escape binary string for inclusion in SQL.
PGSTD::string PQXX_LIBEXPORT | pqxx::escape_binary (const unsigned char bin[])
| Escape binary string for inclusion in SQL.
PGSTD::string PQXX_LIBEXPORT | pqxx::escape_binary (const unsigned char bin[], size_t len)
| Escape binary string for inclusion in SQL.